/* ------------------------------------------------------------------
 *
 * MaxonTOOLS ARexx-Script
 *
 * name: QUEUE.rexx
 * date: 01.10.1994
 * auth: Klaus-D. Sommer
 *
 *  1994 MAXON Computer GmbH
 *
 * ------------------------------------------------------------------
 */

OPTIONS RESULTS
ADDRESS MT_REXX

/* Informationen ber das Verzeichnis holen */
'QUEUE TYPE'
vt = RESULT

if vt > 0 then
do
  /* Verzeichnis ist da ! */
  if vt = 1 then SAY 'Verzeichnistyp: normal'
  else
    if vt = 2 then SAY 'Verzeichnistyp: Archiv'
    else
      if vt = 3 then SAY 'Verzeichnistyp: Gerteliste'
      else
        if vt = 4 then SAY 'Verzeichnistyp: Altverzeichnisliste'
        else
          SAY 'Unbekannter Verzeichnistyp!!!'

  /* Anzahl der Eintrge holen */
  'QUEUE NUMENTRIES'
  ne = RESULT

  SAY 'Eintrge:' ne

  /* Name */
  'QUEUE NAME'
  name = RESULT

  SAY 'Name:' name

  /* Verzeichnis komplett auslesen */
  do i = 1 to ne

    parms = i ' NAME'
    QUEUEENTRY parms
    ename = RESULT

    parms = i ' DATE'
    QUEUEENTRY parms
    ename = ename '	' RESULT

    parms = i ' TIME'
    QUEUEENTRY parms
    ename = ename RESULT

    parms = i ' FLAGS'
    QUEUEENTRY parms
    ename = ename RESULT

    SAY ename
  end i
end
   



   























